<template>
    <div class="box_volume">
        <a href="#" class="volume_element" :class="enabledClass" @click.prevent="enableVolume">
            <svg>
                <use xlink:href="/img/sprite.svg#audio-volume"></use>
            </svg>
        </a>
        <a href="#" class="volume_element" :class="disabledClass" @click.prevent="disableVolume">
            <svg>
                <use xlink:href="/img/sprite.svg#volume-off-indicator"></use>
            </svg>
        </a>
    </div>
</template>

<script>
    import { mapActions, mapGetters } from 'vuex';

	export default {
		computed: {
			...mapGetters([
				'notifications_volume'
            ]),
            enabledClass(){
				return {
					'volume_active' : this.notifications_volume
                }
            },
            disabledClass(){
				return {
					'volume_active' : !this.notifications_volume
                }
            },
        },
        methods: {
			...mapActions([
                'enableVolume',
                'disableVolume',
            ]),
        },
        mounted() {
		}
	}
</script>

<style scoped lang="scss">
    .volume_element{
        margin: 10px 0;
        display: block;
        svg {
            width: 15px;
            height: 15px;
        }
        &.volume_active{
            svg{
                width: 18px;
                height: 18px;
                fill: #3068e8;
            }
        }
    }
</style>
